org.jboss.jca.embedded.dsl.resourceadapters12.api

## Interface ResourceAdaptersType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ResourceAdaptersType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `resource-adaptersType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceAdapterType<ResourceAdaptersType<T>>` | `createResourceAdapter()` Creates a new `resource-adapter` element
    `java.util.List<ResourceAdapterType<ResourceAdaptersType<T>>>` | `getAllResourceAdapter()` Returns all `resource-adapter` elements
    `ResourceAdapterType<ResourceAdaptersType<T>>` | `getOrCreateResourceAdapter()` If not already created, a new `resource-adapter` element will be created and returned.
    `ResourceAdaptersType<T>` | `removeAllResourceAdapter()` Removes all `resource-adapter` elements

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateResourceAdapter

          ResourceAdapterType<ResourceAdaptersType<T>> getOrCreateResourceAdapter()

      If not already created, a new `resource-adapter` element will be created and returned. Otherwise, the first existing `resource-adapter` element will be returned.
      Returns:
        the instance defined for the element `resource-adapter`

    - #### createResourceAdapter

          ResourceAdapterType<ResourceAdaptersType<T>> createResourceAdapter()

      Creates a new `resource-adapter` element
      Returns:
        the new created instance of `ResourceAdapterType>`

    - #### getAllResourceAdapter

          java.util.List<ResourceAdapterType<ResourceAdaptersType<T>>> getAllResourceAdapter()

      Returns all `resource-adapter` elements
      Returns:
        list of `resource-adapter`

    - #### removeAllResourceAdapter

          ResourceAdaptersType<T> removeAllResourceAdapter()

      Removes all `resource-adapter` elements
      Returns:
        the current instance of `ResourceAdapterType>`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)